Bug 426765 - Gnome Keyring acts as if it stores only one password for all protocols (services) to a account name/host pair
Gnome Keyring acts as if it stores only one password for all protocols (servi...
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-25 21:42 EST by gdelx001
Modified: 2015-03-03 17:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:37:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description gdelx001 2007-12-25 21:42:03 EST
Description of problem:

From evolution in this circumstance, imap://user@host and snmp://user@host are
being given the same password by the keyring, but both use different passwords.
  At a given time, one access attempt fails and requires reentry of the
password.  This sets up the other to fail on subsequent access.  The keyring
manager shows the last established protocol clearly, so it is reasonable to
assume that evolution is communicating this distinction in its request to the
keyring for a password.

Version-Release number of selected component (if applicable):

Expected results:

Certainly when establishing passwords, it can be reasonable to try the only
other password available for that account: it may work.  But once it fails, each
protocol must be managed separately even if everything else about the key looks
the same.  In either case, a unique entry by protocol should be made in the keyring.
Comment 1 Bug Zapper 2008-11-26 04:10:04 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 2 Bug Zapper 2009-01-09 00:37:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.